## qtwebengine-opensource-src 5.15.16+dfsg

=== debian/changelog ===
qtwebengine-opensource-src (5.15.16+dfsg-5) unstable; urgency=medium

  * Add a patch from Arch Linux to build using C++17, which is required by ICU
    75.
  * Cherry-pick upstream patches to build with Ninja 1.12.
  * Mark applicable patches as "Forwarded: not-needed" to fix lintian errors.
  * Update symbols files from local build log.

 -- Soren Stoutner <soren@debian.org>  Wed, 22 May 2024 12:37:00 -0700

qtwebengine-opensource-src (5.15.16+dfsg-4) unstable; urgency=medium

  * Upload to unstable.

  [ Soren Stoutner ]
  * Merge 5.15.15+dfsg2-1 upload from unstable.
  * Update symbols files from buildds’ logs.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 21 May 2024 23:07:25 +0300

qtwebengine-opensource-src (5.15.16+dfsg-3) experimental; urgency=medium

  * Merge 5.15.15+dfsg-3 upload from unstable.
  * Add upstream patches to stop using imp Python module (LP: #2058066).
    Thanks Zixing Liu!
  * Update bundled six module for Python 3.12 compatibility (LP: #2058117).

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 29 Mar 2024 16:12:37 +0300

qtwebengine-opensource-src (5.15.16+dfsg-2) experimental; urgency=medium

  * Replace pkg-config build-dependency with pkgconf.
  * Build against Qt 5.15.13.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 12 Mar 2024 18:00:47 +0300

qtwebengine-opensource-src (5.15.16+dfsg-1) experimental; urgency=medium

  [ Soren Stoutner ]
  * New upstream release.
  * Bump ABI version to qtwebengine-abi-5-15-16.
  * Refresh python3.patch and system-openjpeg2.patch.
  * Update symbols files.

  [ Dmitry Shachnev ]
  * Build against Qt 5.15.12.
  * Add a patch from Gentoo to fix build with ICU 74.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 25 Dec 2023 00:14:27 +0300

qtwebengine-opensource-src (5.15.15+dfsg2-1) unstable; urgency=medium

  [ Soren Stoutner ]
  * Drop the build depend on libre2-dev, which forces building with the bundled
    RE2 (closes: #1053409).
  * Bump standards version to 4.7.0 (no changes needed).
  * Fix debian/rules to handle dfsg repack counts.
  * Change my email address from soren@stoutner.com to soren@debian.org in the
    following locations:
    - debian/changelog
    - debian/control
    - debian/copyright
    - debian/patches/fix-example-pro-files.patch
    - debian/patches/system-openjpeg2.patch
  * Add 2024 to debian/copyright entries.
  * Update debian/libqt5webenginecore5.symbols from local build log.

  [ Dmitry Shachnev ]
  * Add a patch from Gentoo to fix build with ICU 74.
  * Replace pkg-config build-dependency with pkgconf.
  * Add upstream patches to stop using imp Python module (LP: #2058066).
    Thanks Zixing Liu!
  * Update bundled six module for Python 3.12 compatibility (LP: #2058117).

 -- Soren Stoutner <soren@debian.org>  Thu, 09 May 2024 10:01:42 -0700

qtwebengine-opensource-src (5.15.15+dfsg-3) unstable; urgency=medium

  [ Soren Stoutner ]
  * Remove unused build-depends on rollup (Closes: #1023334).
  * Add Lintian overrides for source-is-missing false positives.
  * Add Lintian override for missing-notice-file-for-apache-license false
    positive.
  * Correct BSD license text in debian/copyright.
  * Build with the system version of dagre-layout.

  [ Dmitry Shachnev ]
  * Update debian/libqt5webenginecore5.symbols for armhf (closes: #1067906).

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 29 Mar 2024 15:08:36 +0300
