## qtwebengine-opensource-src 5.15.17+dfsg

=== debian/changelog ===
qtwebengine-opensource-src (5.15.17+dfsg-4) experimental; urgency=medium

  [ Soren Stoutner ]
  * Add lintian overrides for:
    - false positive usage of deprecated distutils.
    - various missing-sources.
    - false positive detection of documentation outside of /usr/share/doc.
  * Add Polymer and HTML-Imports to debian/missing-sources.
  * Update debian/copyright to include information about missing-sources.
  * Fix forwarded field in some patches.

  [ Dmitry Shachnev ]
  * Build against Qt 5.15.15.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 07 Sep 2024 20:14:20 +0300

qtwebengine-opensource-src (5.15.17+dfsg-3) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 09 Jul 2024 14:43:34 +0300

qtwebengine-opensource-src (5.15.17+dfsg-2) experimental; urgency=medium

  * Backport v8 patch to port the latest RegExpMacroAssembler changes to
    mips64el.
  * Update debian/libqt5webenginecore5.symbols from buildds’ logs.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 07 Jul 2024 11:44:46 +0300

qtwebengine-opensource-src (5.15.17+dfsg-1) experimental; urgency=medium

  * New upstream release.
    - Fixes build with libxml2 2.12 (closes: #1074671).
  * Update SUBMODULE_COMMIT for the new release.
  * Drop patches, included in the new release:
    - python3.patch
    - chromium-python3.patch
    - python3.11.patch
    - ffmpeg-x86-optimization.patch
    - icu74.patch
  * Also drop part of python3.12-imp.patch which was applied upstream.
  * Refresh debian/patches/system-openjpeg2.patch.
  * Update debian/libqt5webenginecore5.symbols from buildds’ logs.
  * Bump ABI version to qtwebengine-abi-5-15-17.
  * Pass QMAKE_PYTHON2=python3 to qmake, to get the docs built.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 02 Jul 2024 22:53:32 +0300
