=== debian/control ===
--- 
+++ 
@@ -43,9 +43,9 @@
                libpng-dev,
                libprotobuf-dev,
                libpulse-dev,
-               libqt5opengl5-dev (>= 5.15.13+dfsg~),
-               libqt5svg5-dev (>= 5.15.13~),
-               libqt5webchannel5-dev (>= 5.15.13~),
+               libqt5opengl5-dev (>= 5.15.15+dfsg~),
+               libqt5svg5-dev (>= 5.15.15~),
+               libqt5webchannel5-dev (>= 5.15.15~),
                libsnappy-dev,
                libsqlite3-dev,
                libusb-1.0-0-dev,
@@ -74,21 +74,21 @@
                pkgconf,
                protobuf-compiler,
                python3,
-               qtbase5-dev (>= 5.15.13+dfsg~),
-               qtbase5-private-dev (>= 5.15.13+dfsg~),
-               qtdeclarative5-private-dev (>= 5.15.13+dfsg~),
-               qtpositioning5-dev (>= 5.15.13+dfsg~),
-               qtquickcontrols2-5-dev (>= 5.15.13+dfsg~),
-               qttools5-dev (>= 5.15.13~),
+               qtbase5-dev (>= 5.15.15+dfsg~),
+               qtbase5-private-dev (>= 5.15.15+dfsg~),
+               qtdeclarative5-private-dev (>= 5.15.15+dfsg~),
+               qtpositioning5-dev (>= 5.15.15+dfsg~),
+               qtquickcontrols2-5-dev (>= 5.15.15+dfsg~),
+               qttools5-dev (>= 5.15.15~),
                re2c,
                ruby,
                xauth,
                xvfb,
                yui-compressor
-Build-Depends-Indep: qdoc-qt5 (>= 5.15.13~) <!nodoc>,
-                     qhelpgenerator-qt5 (>= 5.15.13~) <!nodoc>,
-                     qtattributionsscanner-qt5 (>= 5.15.13~) <!nodoc>,
-                     qtbase5-doc-html (>= 5.15.13+dfsg~) <!nodoc>
+Build-Depends-Indep: qdoc-qt5 (>= 5.15.15~) <!nodoc>,
+                     qhelpgenerator-qt5 (>= 5.15.15~) <!nodoc>,
+                     qtattributionsscanner-qt5 (>= 5.15.15~) <!nodoc>,
+                     qtbase5-doc-html (>= 5.15.15+dfsg~) <!nodoc>
 Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/qtwebengine
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qtwebengine.git
@@ -158,7 +158,7 @@
 Package: libqt5webenginecore5
 Architecture: amd64 arm64 armhf i386 mips64el
 Multi-Arch: same
-Provides: qtwebengine-abi-5-15-16
+Provides: qtwebengine-abi-5-15-17
 Depends: libqt5webengine-data (= ${source:Version}),
          sse2-support [i386],
          ${misc:Depends},
