=== debian/rules ===
--- 
+++ 
@@ -78,7 +78,7 @@
 	done
 
 override_dh_auto_configure:
-	qmake QT_BUILD_PARTS+=tests QMAKE_EXTRA_ARGS+="$(config_args)" QMAKE_PYTHON3=python3 $(qmake_args)
+	qmake QT_BUILD_PARTS+=tests QMAKE_EXTRA_ARGS+="$(config_args)" QMAKE_PYTHON2=python3 $(qmake_args)
 
 	# Create js files, that are needed for building step for arch and indep builds
 	cd $(CURDIR)/src/3rdparty/chromium/third_party/jstemplate/; \
@@ -160,7 +160,7 @@
 	TEMPDIR=$$(mktemp -d) && \
 	VERSION=$(word 1,$(subst +, ,$(DEB_VERSION_UPSTREAM))) && \
 	DFSG=$(word 2,$(subst +, ,$(DEB_VERSION_UPSTREAM))) && \
-	SUBMODULE_COMMIT=207c2ac45ca3386d153770c6b0d2ea2ec21ca880 && \
+	SUBMODULE_COMMIT=fdfef5b37af3bed8402d7c7e20a5487f2602b0a6 && \
 	echo "$${GET_FILES_EXCLUDED}" >$${TEMPDIR}/get_files_excluded.py && \
 	cd $${TEMPDIR} && \
 	wget https://github.com/qt/qtwebengine/archive/v$${VERSION}-lts.tar.gz && \
