## qtwebengine-opensource-src 5.15.17+dfsg2

=== debian/changelog ===
qtwebengine-opensource-src (5.15.17+dfsg2-2~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Soren Stoutner <soren@debian.org>  Thu, 16 Jan 2025 09:20:37 -0700

qtwebengine-opensource-src (5.15.17+dfsg2-2) unstable; urgency=medium

  * Backport upstream patch to replace pipes module (removed in Python 3.13)
    with shlex (closes: #1084535).

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 09 Jan 2025 10:38:16 +0300

qtwebengine-opensource-src (5.15.17+dfsg2-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.
  * debian/copyright:  Update the copyright years for myself.

 -- Soren Stoutner <soren@debian.org>  Thu, 02 Jan 2025 16:55:39 -0700

qtwebengine-opensource-src (5.15.17+dfsg2-1) unstable; urgency=medium

  * debian/copyright:  Exclude
     src/3rdparty/chromium/third_party/blink/manual_tests/WebKitSite.webarchive
     (Closes: #1091433).

 -- Soren Stoutner <soren@debian.org>  Thu, 26 Dec 2024 12:34:36 -0700

qtwebengine-opensource-src (5.15.17+dfsg-5~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Soren Stoutner <soren@debian.org>  Tue, 05 Nov 2024 19:26:15 -0700

qtwebengine-opensource-src (5.15.17+dfsg-5) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 25 Oct 2024 12:50:17 +0300

qtwebengine-opensource-src (5.15.17+dfsg-3~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Soren Stoutner <soren@debian.org>  Mon, 15 Jul 2024 09:08:37 -0700

qtwebengine-opensource-src (5.15.16+dfsg-5~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Soren Stoutner <soren@debian.org>  Fri, 31 May 2024 00:15:07 -0700

qtwebengine-opensource-src (5.15.15+dfsg2-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Soren Stoutner <soren@debian.org>  Sat, 18 May 2024 20:44:03 -0700

qtwebengine-opensource-src (5.15.15+dfsg-3~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Soren Stoutner <soren@debian.org>  Fri, 03 May 2024 10:57:28 -0700

qtwebengine-opensource-src (5.15.15+dfsg-2~bpo12+2) bookworm-backports; urgency=medium

  * debian/control:  Make libqt5webenginecore5 provide qtwebengine-abi-5-15-13
    in addition to qtwebengine-abi-5-15-15.
  * debian/copyright:  Bump copyright year for myself.

 -- Soren Stoutner <soren@debian.org>  Sat, 06 Jan 2024 09:38:05 -0700

qtwebengine-opensource-src (5.15.15+dfsg-2~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm backports.
  * debian/control:  Remove hardcoded Qt version build-dependencies.

 -- Soren Stoutner <soren@debian.org>  Tue, 26 Dec 2023 14:31:14 -0700
