=== debian/control ===
--- 
+++ 
@@ -43,9 +43,9 @@
                libpng-dev,
                libprotobuf-dev,
                libpulse-dev,
-               libqt5opengl5-dev (>= 5.15.15+dfsg~),
-               libqt5svg5-dev (>= 5.15.15~),
-               libqt5webchannel5-dev (>= 5.15.15~),
+               libqt5opengl5-dev,
+               libqt5svg5-dev,
+               libqt5webchannel5-dev,
                libsnappy-dev,
                libsqlite3-dev,
                libusb-1.0-0-dev,
@@ -74,21 +74,21 @@
                pkgconf,
                protobuf-compiler,
                python3,
-               qtbase5-dev (>= 5.15.15+dfsg~),
-               qtbase5-private-dev (>= 5.15.15+dfsg~),
-               qtdeclarative5-private-dev (>= 5.15.15+dfsg~),
-               qtpositioning5-dev (>= 5.15.15+dfsg~),
-               qtquickcontrols2-5-dev (>= 5.15.15+dfsg~),
-               qttools5-dev (>= 5.15.15~),
+               qtbase5-dev,
+               qtbase5-private-dev,
+               qtdeclarative5-private-dev,
+               qtpositioning5-dev,
+               qtquickcontrols2-5-dev,
+               qttools5-dev,
                re2c,
                ruby,
                xauth,
                xvfb,
                yui-compressor
-Build-Depends-Indep: qdoc-qt5 (>= 5.15.15~) <!nodoc>,
-                     qhelpgenerator-qt5 (>= 5.15.15~) <!nodoc>,
-                     qtattributionsscanner-qt5 (>= 5.15.15~) <!nodoc>,
-                     qtbase5-doc-html (>= 5.15.15+dfsg~) <!nodoc>
+Build-Depends-Indep: qdoc-qt5 <!nodoc>,
+                     qhelpgenerator-qt5 <!nodoc>,
+                     qtattributionsscanner-qt5 <!nodoc>,
+                     qtbase5-doc-html <!nodoc>
 Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/qtwebengine
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qtwebengine.git
@@ -158,7 +158,8 @@
 Package: libqt5webenginecore5
 Architecture: amd64 arm64 armhf i386 mips64el
 Multi-Arch: same
-Provides: qtwebengine-abi-5-15-17
+Provides: qtwebengine-abi-5-15-13,
+          qtwebengine-abi-5-15-17
 Depends: libqt5webengine-data (= ${source:Version}),
          sse2-support [i386],
          ${misc:Depends},
@@ -334,3 +335,9 @@
 Depends: ${misc:Depends}
 Description: Qt 5 PDF documentation
  The Qt PDF module contains classes and functions for rendering PDF documents.
+ .
+ This package contains the documentation in QCH format, which can be
+ viewed using Qt Assistant from qttools5-dev-tools package.
+
+Package: qtpdf5-doc-html
+Build-Profiles: <!nodoc>
