## qtwebengine-opensource-src 5.15.18%2Bdfsg

=== debian/rules ===
--- 
+++ 
@@ -160,7 +160,7 @@
 	TEMPDIR=$$(mktemp -d) && \
 	VERSION=$(word 1,$(subst +, ,$(DEB_VERSION_UPSTREAM))) && \
 	DFSG=$(word 2,$(subst +, ,$(DEB_VERSION_UPSTREAM))) && \
-	SUBMODULE_COMMIT=fdfef5b37af3bed8402d7c7e20a5487f2602b0a6 && \
+	SUBMODULE_COMMIT=85337c28bae7d7d2c79282c4f4c92435cd7649b8 && \
 	echo "$${GET_FILES_EXCLUDED}" >$${TEMPDIR}/get_files_excluded.py && \
 	cd $${TEMPDIR} && \
 	wget https://github.com/qt/qtwebengine/archive/v$${VERSION}-lts.tar.gz && \
