## qtwebengine-opensource-src 5.15.18+dfsg

=== debian/changelog ===
qtwebengine-opensource-src (5.15.18+dfsg-2~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Soren Stoutner <soren@debian.org>  Fri, 28 Feb 2025 11:37:36 -0700

qtwebengine-opensource-src (5.15.18+dfsg-2) unstable; urgency=medium

  * Update debian/libqt5webenginecore5.symbols from buildds’ logs.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 07 Feb 2025 16:19:52 +0300

qtwebengine-opensource-src (5.15.18+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Update SUBMODULE_COMMIT for the new release.
  * Refresh disable-catapult.patch.
  * Update debian/*.symbols from buildds’ and the current build logs.
  * Bump ABI version to qtwebengine-abi-5-15-18.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 04 Feb 2025 11:19:00 +0300

qtwebengine-opensource-src (5.15.17+dfsg2-3~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Soren Stoutner <soren@debian.org>  Thu, 30 Jan 2025 11:25:32 -0700

qtwebengine-opensource-src (5.15.17+dfsg2-3) unstable; urgency=medium

  * Add hunspell-bdic.patch and remove 90qtwebengine-dictionaries-path.conf (see
    #1092726).
  * Update copyright year for myself in debian/copyright.

 -- Soren Stoutner <soren@debian.org>  Wed, 22 Jan 2025 16:39:55 -0700
