=== debian/control ===
--- 
+++ 
@@ -159,7 +159,7 @@
 Architecture: amd64 arm64 armhf i386 mips64el
 Multi-Arch: same
 Provides: qtwebengine-abi-5-15-13,
-          qtwebengine-abi-5-15-17
+          qtwebengine-abi-5-15-18
 Depends: libqt5webengine-data (= ${source:Version}),
          sse2-support [i386],
          ${misc:Depends},
