## qtwebengine-opensource-src 5.15.19%2Bdfsg2

=== debian/changelog ===
qtwebengine-opensource-src (5.15.19+dfsg2-1build2) resolute; urgency=medium

  * No-change rebuild for icu soname.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 04 Dec 2025 19:00:52 +0100

qtwebengine-opensource-src (5.15.19+dfsg2-1build1) resolute; urgency=medium

  * Rebuild against latest libvpx

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 02 Nov 2025 11:15:57 -0500

qtwebengine-opensource-src (5.15.19+dfsg2-1) unstable; urgency=medium

  * Exclude minizip/src/doc from the tarball (closes: #1115475).
  * Update symbols files from buildds’ logs.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 20 Sep 2025 16:16:17 +0300

qtwebengine-opensource-src (5.15.19+dfsg-3) unstable; urgency=medium

  * Add a patch from Fedora to fix build with GCC 15 (closes: #1097756).
  * Update symbols files from buildds’ and the current build logs.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 10 Sep 2025 10:33:39 +0300

qtwebengine-opensource-src (5.15.19+dfsg-2) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 01 Sep 2025 23:05:46 +0300

qtwebengine-opensource-src (5.15.19+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Update SUBMODULE_COMMIT for the new release.
  * Drop python3.12-*.patch, no longer needed.
  * Refresh and rebase other patches.
  * Bump ABI version to qtwebengine-abi-5-15-19.
  * Build against Qt 5.15.17.
  * Update debian/libqt5webenginecore5.symbols from buildds’ logs.
  * Remove Qt_5.x symbols from the symbols files.
  * Make debian/scripts/update-copyright work with the new version.
  * Update debian/copyright.
  * Bump Standards-Version to 4.7.2, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 09 Jul 2025 11:25:22 +0300
