## qtwebengine-opensource-src 5.15.19+dfsg

=== debian/changelog ===
qtwebengine-opensource-src (5.15.19+dfsg-4+24.04+noble+release+build7) noble; urgency=medium

  [ Debian Qt/KDE Maintainers ]
  * Add lintian overrides for:
    - false positive usage of deprecated distutils.
    - various missing-sources.
    - false positive detection of documentation outside of /usr/share/doc.
  * Add Polymer and HTML-Imports to debian/missing-sources.
  * Update debian/copyright to include information about missing-sources.
  * Fix forwarded field in some patches.

  [ Neon CI ]
  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Sat, 30 Aug 2025 23:08:36 +0000

qtwebengine-opensource-src (5.15.9+dfsg-1) unstable; urgency=medium

  [ Alexander Volkov ]
  * Enable Kerberos support.

  [ Dmitry Shachnev ]
  * New upstream release.
  * Update SUBMODULE_COMMIT for the new release.
  * Depend on sse2-support for i386 (closes: #1003249).
  * Add more files to Files-Excluded (closes: #1000620).
  * Drop glibc-2.34-SIGSTKSZ.patch, applied upstream.
  * Refresh system-icu-utf.patch.
  * Update symbols files from buildds’ and the current build logs.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 17 Jan 2022 17:54:14 +0300
