=== debian/control ===
--- 
+++ 
@@ -1,5 +1,4 @@
 Source: qtwebengine-opensource-src
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Scarlett Moore <sgmoore@kde.org>,
            Sandro Knauß <hefee@debian.org>,
            Dmitry Shachnev <mitya57@debian.org>,
@@ -23,7 +22,7 @@
                libfontconfig-dev,
                libgl-dev (>= 1.3) [!armel !armhf],
                libgl1-mesa-dri,
-               libgles-dev [armel armhf],
+               libgles2-mesa-dev [armel armhf] | libgles2-dev [armel armhf],
                libglib2.0-dev,
                libglu1-mesa-dev [!armel !armhf] | libglu-dev [!armel !armhf],
                libgstreamer-plugins-base1.0-dev,
@@ -43,9 +42,9 @@
                libpng-dev,
                libprotobuf-dev,
                libpulse-dev,
-               libqt5opengl5-dev,
-               libqt5svg5-dev,
-               libqt5webchannel5-dev,
+               libqt5opengl5-dev (>= 5.15.13+dfsg~),
+               libqt5svg5-dev (>= 5.15.13~),
+               libqt5webchannel5-dev (>= 5.15.13~),
                libsnappy-dev,
                libsqlite3-dev,
                libusb-1.0-0-dev,
@@ -74,25 +73,26 @@
                pkgconf,
                protobuf-compiler,
                python3,
-               qtbase5-dev,
-               qtbase5-private-dev,
-               qtdeclarative5-private-dev,
-               qtpositioning5-dev,
-               qtquickcontrols2-5-dev,
-               qttools5-dev,
+               qtbase5-dev (>= 5.15.13+dfsg~),
+               qtbase5-private-dev (>= 5.15.13+dfsg~),
+               qtdeclarative5-private-dev (>= 5.15.13+dfsg~),
+               qtpositioning5-dev (>= 5.15.13+dfsg~),
+               qtquickcontrols2-5-dev (>= 5.15.13+dfsg~),
+               qttools5-dev (>= 5.15.13~),
                re2c,
                ruby,
                xauth,
                xvfb,
                yui-compressor
-Build-Depends-Indep: qdoc-qt5 <!nodoc>,
-                     qhelpgenerator-qt5 <!nodoc>,
-                     qtattributionsscanner-qt5 <!nodoc>,
-                     qtbase5-doc-html <!nodoc>
+Build-Depends-Indep: qdoc-qt5 (>= 5.15.13~) <!nodoc>,
+                     qhelpgenerator-qt5 (>= 5.15.13~) <!nodoc>,
+                     qtattributionsscanner-qt5 (>= 5.15.13~) <!nodoc>,
+                     qtbase5-doc-html (>= 5.15.13+dfsg~) <!nodoc>
 Standards-Version: 4.7.0
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/qtwebengine
-Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qtwebengine.git
 Homepage: https://doc.qt.io/qt-5/qtwebengine-index.html
+Vcs-Git: https://invent.kde.org/neon/qt/qtwebengine.git
+Vcs-Browser: https://invent.kde.org/neon/qt/qtwebengine
+Maintainer: Neon CI <neon@kde.org>
 
 Package: qtwebengine5-dev
 Architecture: amd64 arm64 armhf i386 mips64el
@@ -136,6 +136,8 @@
          qtbase5-dev,
          ${misc:Depends},
          ${shlibs:Depends}
+Breaks: qtwebengine5-dev (<< ${binary:Version}~ciBuild)
+Replaces: qtwebengine5-dev (<< ${binary:Version}~ciBuild)
 Description: Qt 5 PDF library - development files
  The Qt PDF module contains classes and functions for rendering PDF documents.
  .
@@ -158,8 +160,7 @@
 Package: libqt5webenginecore5
 Architecture: amd64 arm64 armhf i386 mips64el
 Multi-Arch: same
-Provides: qtwebengine-abi-5-15-13,
-          qtwebengine-abi-5-15-18
+Provides: qtwebengine-abi-5-15-17
 Depends: libqt5webengine-data (= ${source:Version}),
          sse2-support [i386],
          ${misc:Depends},
@@ -219,6 +220,8 @@
 Architecture: amd64 arm64 armhf i386 mips64el
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends}
+Breaks: libqt5pdfwidgets5 (<< ${binary:Version}~ciBuild)
+Replaces: libqt5pdfwidgets5 (<< ${binary:Version}~ciBuild)
 Description: Qt 5 PDF image format plugin
  The Qt PDF module contains classes and functions for rendering PDF documents.
  .
@@ -280,9 +283,7 @@
          qml-module-qtwebengine,
          ${misc:Depends},
          ${shlibs:Depends}
-Recommends: qt5-qmake,
-            qtwebengine5-dev,
-            qtwebengine5-dev-tools
+Recommends: qt5-qmake, qtwebengine5-dev, qtwebengine5-dev-tools
 Suggests: build-essential
 Pre-Depends: ${misc:Pre-Depends}
 Description: Qt WebEngine - Examples
@@ -297,6 +298,8 @@
 Depends: qml-module-qtquick-pdf (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
+Breaks: qtwebengine5-examples (<< ${binary:Version}~ciBuild)
+Replaces: qtwebengine5-examples (<< ${binary:Version}~ciBuild)
 Description: Qt PDF - examples
  The Qt PDF module contains classes and functions for rendering PDF documents.
  .
@@ -324,20 +327,3 @@
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
  .
- This package contains the HTML documentation for the Qt 5 webengine
- libraries.
-
-Package: qtpdf5-doc
-Build-Profiles: <!nodoc>
-Architecture: all
-Multi-Arch: foreign
-Section: doc
-Depends: ${misc:Depends}
-Description: Qt 5 PDF documentation
- The Qt PDF module contains classes and functions for rendering PDF documents.
- .
- This package contains the documentation in QCH format, which can be
- viewed using Qt Assistant from qttools5-dev-tools package.
-
-Package: qtpdf5-doc-html
-Build-Profiles: <!nodoc>
