=== debian/rules ===
--- 
+++ 
@@ -80,7 +80,7 @@
 override_dh_auto_configure:
 	qmake QT_BUILD_PARTS+=tests QMAKE_EXTRA_ARGS+="$(config_args)" QMAKE_PYTHON2=python3 $(qmake_args)
 
-	# Create js files, that are needed for building step for arch and indep builds
+	# # Create js files, that are needed for building step for arch and indep builds
 	cd $(CURDIR)/src/3rdparty/chromium/third_party/jstemplate/; \
 		cat util.js jsevalcontext.js jstemplate.js exports.js > jstemplate_compiled.js
 
@@ -109,7 +109,7 @@
 	dh_auto_install
 
 	# Remove rpath from the offending binaries
-	chrpath -d $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/qt5/libexec/QtWebEngineProcess
+	#chrpath -d $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/qt5/libexec/QtWebEngineProcess
 
 	# Fix wrong path in pkgconfig files
 	find $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig -type f -name '*.pc' \
@@ -160,7 +160,7 @@
 	TEMPDIR=$$(mktemp -d) && \
 	VERSION=$(word 1,$(subst +, ,$(DEB_VERSION_UPSTREAM))) && \
 	DFSG=$(word 2,$(subst +, ,$(DEB_VERSION_UPSTREAM))) && \
-	SUBMODULE_COMMIT=85337c28bae7d7d2c79282c4f4c92435cd7649b8 && \
+	SUBMODULE_COMMIT=fdfef5b37af3bed8402d7c7e20a5487f2602b0a6 && \
 	echo "$${GET_FILES_EXCLUDED}" >$${TEMPDIR}/get_files_excluded.py && \
 	cd $${TEMPDIR} && \
 	wget https://github.com/qt/qtwebengine/archive/v$${VERSION}-lts.tar.gz && \
